Skip to main content
GET
/
notion-settings
/
{id}
Python
import os
from qaip import Qaip

client = Qaip(
    api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
)
notion_setting = client.notions.retrieve_setting(
    "id",
)
print(notion_setting.id)
{
  "id": "<string>",
  "name": "<string>",
  "page_id": "<string>",
  "rrule": "<string>",
  "secret_id": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string
required

Ingestion setting ID for the Notion data source

Response

Successful retrieval of Notion setting

id
string
required

Notion ingestion setting ID

name
string
required

Name of the Notion ingestion setting

page_id
string
required

Notion page ID

rrule
string

Recurrence rule (RFC 5545 RRULE)

secret_id
string

ID of the associated secret